Bug 1285815 - auto claim is performed even though multiple actors are specified in HT within swimlane
auto claim is performed even though multiple actors are specified in HT withi...
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Core (Show other bugs)
6.1.0
All All
medium Severity medium
: DR1
: 6.3.0
Assigned To: Maciej Swiderski
Radovan Synek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-26 09:20 EST by Hiroko Miura
Modified: 2016-03-24 10:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
reproducer of jbds8 (12.94 KB, application/zip)
2015-11-26 09:20 EST, Hiroko Miura
no flags Details

  None (edit)
Description Hiroko Miura 2015-11-26 09:20:52 EST
Created attachment 1099298 [details]
reproducer of jbds8

Description of problem:
If multiple actors are specified in human task within swimlane,
an auto claim is performed and the following warning is shown inappropriately.

Nov 26, 2015 11:17:37 AM org.jbpm.services.task.wih.LocalHTWorkItemHandler executeWorkItem
WARNING: User john,mary is not allowed to auto claim task due to permission violation

This warning message seems not to be accurate and might cause confusion for the user.

According to Red Hat JBoss BPM Suite 6.1 Development Guide below,
----
12.4. Task Lifecycle
Note that a task that only has one potential (specific) actor
is automatically assigned to that actor upon creation of the task.
---
an auto claim happens when there is only one potential actor.

Therefore, in this case, it's better that inappropriate warning is not shown, and rather an automatic claim should not happen.

Version-Release number of selected component (if applicable):

BPMS 6.1.x

How reproducible:

run attached reproducer


Steps to Reproduce:
1. import reproducer attached into jbds8.1.0
2. run Bpcom001Test.java as JUunit test

Actual results:

WARINING like the following is shown.

11 26, 2015 10:17:51 PM org.jbpm.services.task.wih.LocalHTWorkItemHandler executeWorkItem
WARNING: User john,mary is not allowed to auto claim task due to permission violation


Expected results:

no warning appears

Additional info:
Comment 3 Maciej Swiderski 2015-11-27 06:23:01 EST
fixed on master and docs updated to inform that only single actorId can be assigned by swim lane for the first task

jbpm
master:
https://github.com/droolsjbpm/jbpm/commit/5bb4b0a02dccdd1fa504d3101746e6d797f1e065

kie-docs
master:
https://github.com/droolsjbpm/kie-docs/commit/0ccbab503071f5fadfff23b39b8045a28cff12b9
Comment 4 Radovan Synek 2016-03-24 10:29:53 EDT
Verified with BPMS-6.3.0.ER1

Note You need to log in before you can comment on or make changes to this bug.